/// <reference types="node" />
import * as http from 'http';
declare type TransactionTypes = 'path' | 'methodPath' | 'handler';
/** JSDoc */
export declare function requestHandler(options?: {
    request?: boolean;
    serverName?: boolean;
    transaction?: boolean | TransactionTypes;
    user?: boolean | string[];
    version?: boolean;
}): (req: http.IncomingMessage, res: http.ServerResponse, next: (error?: any) => void) => void;
/** JSDoc */
interface MiddlewareError extends Error {
    status?: number | string;
    statusCode?: number | string;
    status_code?: number | string;
    output?: {
        statusCode?: number | string;
    };
}
/** JSDoc */
export declare function errorHandler(): (error: MiddlewareError, req: http.IncomingMessage, res: http.ServerResponse, next: (error: MiddlewareError) => void) => void;
/** JSDoc */
export declare function defaultOnFatalError(error: Error): void;
/** JSDoc */
export declare function makeErrorHandler(onFatalError?: (firstError: Error, secondError?: Error) => void): (error: Error) => void;
export {};
